<?php

/**
 * @file
 * Default rule configurations for Commerce Sermepa iupay.
 */

/**
 * Implements hook_default_rules_configuration().
 */
function commerce_sermepa_v_me_default_rules_configuration() {
  $rules = array();

  // Add a reaction rule to update an order to the default status of the pending
  // order status upon checkout completion.
  $rule = rules_reaction_rule();

  $rule->label = t('Sermepa v.me by Visa Payment');
  $rule->tags = array('Commerce Payment');
  $rule->active = FALSE;
  $rule->requires = array(
    'rules',
    'commerce_payment',
    'commerce_sermepa',
  );
  $rule
    ->event('commerce_payment_methods')
    ->action('commerce_payment_enable_commerce_sermepa', array(
      'commerce_order:select' => 'commerce-order',
      'payment_method' => array(
        'method_id' => 'commerce_sermepa',
        'settings' => array(
          'mode' => 'test',
          'Ds_MerchantName' => '',
          'Ds_MerchantCode' => '',
          'Ds_MerchantPassword' => '',
          'Ds_Merchant_Terminal' => '',
          'Ds_Merchant_PayMethods' => array('V'),
          'Ds_Merchant_ConsumerLanguage' => '001',
          'currency' => '978',
          'description' => '',
          'advanced' => array(
            'override_url' => '',
          ),
        ),
      ),
    ));

  $rules['commerce_payment_sermepa_v_me_payment'] = $rule;

  return $rules;
}
